/*
 * Copyright  2008 Nokia Corporation.
 */

#ifndef __MOBILEPAINTDOCUMENT_h__
#define __MOBILEPAINTDOCUMENT_h__

// INCLUDES
#include <akndoc.h>

// FORWARD DECLARATIONS
class CMobilePaintAppUi;
class CEikApplication;

// CLASS DECLARATION
class CMobilePaintDocument : public CAknDocument
    {
    public:
        static CMobilePaintDocument* NewL (CEikApplication& aApp );
        static CMobilePaintDocument* NewLC (CEikApplication& aApp );
        virtual ~CMobilePaintDocument ( );
    
    public:
        CEikAppUi* CreateAppUiL ( );
    
    private:
        void ConstructL ( );
        CMobilePaintDocument (CEikApplication& aApp );
    };

#endif // __MOBILEPAINTDOCUMENT_h__

// End of File

